using Valg.EVA.Skanning.UserInterfaceElements;
using Valg.EVA.Skanning.Verify.Startup.VerifyBallotPaper.Messaging.Commands;

namespace Valg.EVA.Skanning.Verify.Startup.VerifyBallotPaper.BallotPaperStatus
{
    public class BallotPaperStatusViewModel : ViewModelBase, IBallotPaperStatusViewModel
    {
        private BallotStatus status;

        protected override void SubscribeToViewModelSpecificEvents()
        {
            SubscribeToEvent<BallotStatusUpdatedEvent, BallotStatus>(newStatus => Status = newStatus);
        }

        public BallotStatus Status
        {
            get { return status; }
            set
            {
                status = value;
                OnPropertyChanged();
            }
        }
    }
}
